#version 330

// Custom uniforms.
uniform float uResolution;
uniform float uDisplacement;

// OF built-in attributes.
in vec4 position;
in vec3 normal;

// Custom varyings.
out vec4 vPosition;
out vec4 vColor;

void main()
{
	vPosition = position;
	vPosition.xyz += normal * sin((normal.x + normal.y + normal.z) * uResolution * 100) * uDisplacement;

	vColor = vec4(normal * 0.5 + 0.5, 1.0);
}
